This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1020019 - Drop hivex-static subpackage
Drop hivex-static subpackage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: hivex (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 15:33 EDT by Richard W.M. Jones
Modified: 2014-06-18 03:10 EDT (History)
6 users (show)

See Also:
Fixed In Version: hivex-1.3.8-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:21:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-10-16 15:33:15 EDT
Description of problem:

The hivex-static subpackage contains the statically linked
hivex library.  We don't use it in RHEL.  It causes an RPMdiff
failure (because it isn't built with execshield -- it's my
understand that you *cannot* use execshield on a static library).

Therefore I think we should consider blocking hivex-static.

Version-Release number of selected component (if applicable):

hivex-1.3.8-1.el7

Additional info:

https://brewweb.devel.redhat.com/buildinfo?buildID=283988
https://rpmdiff.lab.eng.brq.redhat.com/run/45604/7/
Comment 1 Richard W.M. Jones 2013-10-16 15:35:30 EDT
Actually I realized after writing all of that, that I can
of course just drop the subpackage from the *build* myself.
Reassigning to hivex.
Comment 2 bfan 2013-10-22 03:05:53 EDT
Can reproduce,
hivex-static-1.3.8-1.el7.x86_64.rpm exist in this version
Comment 3 Richard W.M. Jones 2013-10-31 05:44:03 EDT
Bill, does anything need to be done to adjust the compose?
hivex-static is not used by any other package.
Comment 5 Bill Nottingham 2013-10-31 14:56:09 EDT
If the subpackage is no longer built, nothing needs done.
Comment 6 Wei Shi 2013-11-18 03:20:07 EST
Verified:
  hivex-1.3.8-2.el7

No hivex-static subpackage was generated.
Comment 7 Ludek Smid 2014-06-13 08:21:39 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.